[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-deployment] branch master updated: fix make-auditor-reports scrip
From: |
gnunet |
Subject: |
[taler-deployment] branch master updated: fix make-auditor-reports script |
Date: |
Tue, 01 Jun 2021 20:24:49 +0200 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository deployment.
The following commit(s) were added to refs/heads/master by this push:
new dd236f9 fix make-auditor-reports script
dd236f9 is described below
commit dd236f9b1340b8c2e22557337173b2c312c74507
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Tue Jun 1 20:24:47 2021 +0200
fix make-auditor-reports script
---
buildbot/make_auditor_reports.sh | 41 ++++++++--------------------------------
1 file changed, 8 insertions(+), 33 deletions(-)
diff --git a/buildbot/make_auditor_reports.sh b/buildbot/make_auditor_reports.sh
index e696fa9..1f66eb1 100755
--- a/buildbot/make_auditor_reports.sh
+++ b/buildbot/make_auditor_reports.sh
@@ -42,50 +42,25 @@ CONFIG_FILE="${TALER_HOME}/.config/taler.conf"
# Generate first report.
echo "Running taler-auditor"
-if ! taler-auditor -c ${CONFIG_FILE} > "${REPORT_FILE_NOEXT}.txt"; then
+if ! taler-auditor -c ${CONFIG_FILE} | tee build-log.txt; then
echo "taler-auditor failed"
clean_files
exit 1
fi
-# Generate "wire" report.
-echo "Running taler-wire-auditor"
-if ! taler-wire-auditor -c ${CONFIG_FILE} > "${WIRE_REPORT_FILE_NOEXT}.txt";
then
- echo "taler-wire-auditor failed"
-# clean_files
- exit 1
-fi
-
-echo "Rendering report"
-if ! python3 ${PWD}/render_auditor_reports.py \
- "${REPORT_FILE_NOEXT}.txt" \
- "${WIRE_REPORT_FILE_NOEXT}.txt" \
- > "${REPORT_FILE_NOEXT}.tex" \
- < "${JINJA_TEMPLATE}";
-then
- echo "Rendering failed"
-# clean_files
- exit 1
-fi
-
-cd ${HOME}
-echo "TeXing report"
-if ! pdflatex "${REPORT_FILE_NOEXT}.tex" && pdflatex
"${REPORT_FILE_NOEXT}.tex"; then
- echo "pdflatex failed"
-# clean_files
- exit 1
-fi
-
-clean_files
+REPORT=`tail -n1 build-log.txt | grep "Result is in" | awk '{print $4}'`
-if ! test -f "${REPORT_FILE_NOEXT}.pdf"; then
+if ! test -f "${REPORT}"; then
echo Could not produce the report
exit 1
fi
mkdir -p "${REPORTS_DIRECTORY}"
-chmod 444 "${REPORT_FILE_NOEXT}.pdf"
-mv "${REPORT_FILE_NOEXT}.pdf" "${REPORTS_DIRECTORY}"
+chmod 444 "${REPORT}"
+mv "${REPORT}" "${REPORTS_DIRECTORY}"
echo Reports moved in "${REPORTS_DIRECTORY}".
+clean_files
+rm -r `dirname $REPORT`
+
exit 0
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-deployment] branch master updated: fix make-auditor-reports script,
gnunet <=